export type User = {
    id: number;
    name: string;
    lastname: string;
    email: string;
    numero: string;
    password: string;
    admin: number;
}

export type Users = User[];

export type Transfer = {
    id: number;
    account_from_id: number;
    account_to_id: number;
    name: string;
    value: number;
    sender_name: string;
    receiver_name: string;
    receiver_lastname: string;
}

export type Transfers = Transfer[];

export type Account = {
    id: number;
    balance: number;
    client_id: number;
    name: string;
    interest: number;
}

export type Accounts = Account[];

export type Card = {
    id: number;
    account_id: number;
    number: string;
    expiration: string;
    cvc: string;
}

export type Cards = Card[];

export type Receiver = {
    id: number;
    user_id: number;
    account_id: number;
    name: string;
}

export type Receivers = Receiver[];
